%define upstream_name    Apache-Session-Wrapper
%define upstream_version 0.34

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 10

Summary:        A simple wrapper around Apache::Session
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Apache::Session)
BuildRequires:  perl(Apache::Test)
BuildArch:      noarch


%description
This module is a simple wrapper around Apache::Session which
provides some methods to simplify getting and setting the session
id. It can uses cookies to store the session id, or it can look in
a provided object for a specific parameter. Alternately, you can
simply provide the session id yourself in the call to the
"session()" method. If you're using Mason, you should probably 
take a look at "MasonX::Request::WithApacheSession" first,  which
integrates this module directly into Mason.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test </dev/null

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README SIGNATURE META.yml
%{perl_vendorlib}/Apache
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-10.mga8
+ Revision: 1503458
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.340.0-9.mga7
+ Revision: 1281599
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.340.0-8.mga7
+ Revision: 1162984
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-7.mga6
+ Revision: 1022529
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.340.0-6.mga6
+ Revision: 941281
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 747389
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 683495
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 509146
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 362992
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 36140
- mageia rebuild
- imported package perl-Apache-Session-Wrapper


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2011.0
+ Revision: 552251
- update to 0.34

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-1mdv2010.0
+ Revision: 402093
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.33-3mdv2009.0
+ Revision: 241148
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.33-1mdv2008.0
+ Revision: 19181
-New version


* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2007.0
- New version 0.31
- Module::Build-based build
- fix directory ownership

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2007.0
- New version 0.29

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2007.0
- New release 0.28

* Thu Apr 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.26-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
    - BuildRequires

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26-1mdk
- initial Mandriva package

